Bug 159111

Summary: [macOS] Test gardening: Generic font families should not map to fonts which aren't installed
Product: WebKit Reporter: Myles C. Maxfield <mmaxfield>
Component: New BugsAssignee: Myles C. Maxfield <mmaxfield>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, rniwa, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from ews105 for mac-yosemite-wk2
none
Archive of layout-test-results from ews103 for mac-yosemite
none
Archive of layout-test-results from ews113 for mac-yosemite
none
Patch
bfulgham: review-
Patch none

Description Myles C. Maxfield 2016-06-24 18:40:08 PDT
[macOS] Generic font families should not map to fonts which aren't installed
Comment 1 Myles C. Maxfield 2016-06-24 18:43:27 PDT
Created attachment 282041 [details]
Patch
Comment 2 Myles C. Maxfield 2016-06-24 18:45:03 PDT
<rdar://problem/25807529>
Comment 3 Build Bot 2016-06-24 19:34:13 PDT
Comment on attachment 282041 [details]
Patch

Attachment 282041 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1565422

New failing tests:
svg/as-image/svg-image-with-data-uri-background.html
Comment 4 Build Bot 2016-06-24 19:34:17 PDT
Created attachment 282044 [details]
Archive of layout-test-results from ews105 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 5 Build Bot 2016-06-24 20:06:13 PDT
Comment on attachment 282041 [details]
Patch

Attachment 282041 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1565546

New failing tests:
svg/as-image/svg-image-with-data-uri-background.html
Comment 6 Build Bot 2016-06-24 20:06:16 PDT
Created attachment 282045 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 7 Build Bot 2016-06-24 20:11:13 PDT
Comment on attachment 282041 [details]
Patch

Attachment 282041 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1565527

New failing tests:
svg/as-image/svg-image-with-data-uri-background.html
Comment 8 Build Bot 2016-06-24 20:11:16 PDT
Created attachment 282046 [details]
Archive of layout-test-results from ews113 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 9 Myles C. Maxfield 2016-06-27 17:58:15 PDT
Created attachment 282196 [details]
Patch
Comment 10 Myles C. Maxfield 2016-06-27 20:14:19 PDT
Created attachment 282206 [details]
Patch
Comment 11 Myles C. Maxfield 2016-06-27 21:05:11 PDT
Committed r202538: <http://trac.webkit.org/changeset/202538>
Comment 12 Brent Fulgham 2016-06-28 10:50:47 PDT
Comment on attachment 282196 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=282196&action=review

Typo!

> Source/WebCore/page/cocoa/SettingsCocoa.mm:62
> +    Retainptr<CFSetRef> mandatoryAttributes = adoptCF(CFSetCreate(kCFAllocatorDefault, keys, WTF_ARRAY_LENGTH(keys), &kCFTypeSetCallBacks));

RetainPtr!
Comment 13 Brent Fulgham 2016-06-28 10:52:13 PDT
Comment on attachment 282196 [details]
Patch

This patch looks fine, but I'm worried it actually wasn't build or tested. R- to fix the typo and make sure EWS is happy.